Subject: Re: [PATCH net-next v2 1/2] wireguard: Leverage core stats allocator

From: Breno Leitao <[email-masked]>
Date: Thu, 14 Mar 2024 02:24:58 -0700

On Wed, Mar 13, 2024 at 09:35:43PM -0600, Jason A. Donenfeld wrote:
> On Wed, Mar 13, 2024 at 9:27 PM Jason A. Donenfeld <[email-masked]> wrote:
> >
> > On Wed, Mar 13, 2024 at 9:24 PM Jason A. Donenfeld <[email-masked]> wrote:
> > >
> > > I applied this series to the wireguard tree. Thanks for the patches.
> >
> > Actually, sorry, nevermind. 1/2 is fine, but 2/2 results in `ip -stats
> > link ...` returning all zeros.
> 
> Ahh, okay, required some more commits from 6.8. Okay, seems to be
> working. I'll let this cook a bit and then push it up in a while.

Right, it requires the following commit, which is already in net-next
and 6.9 by now.

3e2f544dd8a33b2f6 ("net: get stats64 if device if driver is configured")

Thanks Jason!